/** \file
	\brief Flash read/write routines
*/

#ifndef FLASH_H
#define FLASH_H

/** \brief Write to FLASH page
	\param size size: 1 equals 4B (32bit multiple)
	\note If interrupts routines are placed in FLASH and there is risk of interrupt disable interrupts.
	\return 0 on success
*/
__ramfunc int AT91F_Flash_Write(unsigned int Flash_Address, int size, unsigned int *buff);
void AT91F_Flash_Read(unsigned int add, unsigned int size, unsigned int * read_buff);

#endif
