/** \file
	\brief Common interrupts routines
	\note Must be compiled in ARM mode (see makefile)
	\note Compiling in THUMB mode gives Error: selected processor does not support `mrs r0,cpsr'
*/

#include "interrupts.h"

void cli(void)
{
	asm("mrs r0, cpsr");
	asm("orr r0,r0,#0x80");
	asm("msr cpsr_c,r0");
	asm("mov r0,#1");
	asm("bx lr");
}


void sei(void)
{
	asm("mrs r0, cpsr");
	asm("bic r0,r0,#0x80");
	asm("msr cpsr_c,r0");
	asm("bx lr");
}

